#!/bin/bash
source ~/.bash_profile
source ~/.bashrc
conda activate base 

cd /data/rec_project/OffLineRec

#1. download data
nowday=`date  +"%Y%m%d" -d -0days`
last7day=`date  +"%Y%m%d" -d -8days`
echo ${nowday} 
echo ${last7day}
mkdir -p ./data/

python extract_share_log.py ${last7day} ${nowday}
if [ $? -ne 0 ];
then
    msg = "[ERROR] simrecall extract_share_log"
    #sh sendmsg.sh  $nowday  $msg
    echo "[ERROR] echo 'extract_share_log"
    exit 255
fi
#nowday='20230505'
#2. cal i2i result
python calI2I.py ${nowday}
if [ $? -ne 0 ];
then
    msg = "[ERROR] simrecall calI2I.py"
    #sh sendmsg.sh $nowday $msg
    echo $msg
    exit -1
fi

#3.import res
python import_redist.py "./data/rec_result_"${nowday}".json"  "./data/redis_cls_"${nowday}".json"
if [ $? -ne 0 ];
then
    msg = "[ERROR] simhot recall import_redist.py"
    #sh sendmsg.sh  $nowday  $msg
    echo $msg
    exit -1
fi
echo 'finish sorted'
